# str_repeat

(PHP 4, PHP 5, PHP 7)

str_repeat — Repeat a string

### Description

str_repeat ( string `$input` , int `$multiplier` ) : string

Returns `input` repeated `multiplier` times.

### Parameters

`input`

  The string to be repeated.

`multiplier`

  Number of time the `input` string should be repeated.

  `multiplier` has to be greater than or equal to 0. If the `multiplier` is set to 0, the function will return an empty string.

### Return Values

Returns the repeated string.

### Examples

Example #1 str_repeat() example

`<?php
echo str_repeat("-=", 10);
?>`

The above example will output:

    -=-=-=-=-=-=-=-=-=-=

### See Also

- for
- str_pad() - Pad a string to a certain length with another string
- substr_count() - Count the number of substring occurrences